Localize an Intent - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v2.0 / flows / {flowId} / intents / {intentId} / addlocalization
Try it
Localize an Intent
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/addlocalization \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"localeId": "<string>",
"inheritFromLocaleId": "<string>",
"intentTranslationSettings": {
"from": "<string>",
"to": "<string>"
}
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/addlocalization"
payload = {
"localeId": "<string>",
"inheritFromLocaleId": "<string>",
"intentTranslationSettings": {
"from": "<string>",
"to": "<string>"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
localeId: '<string>',
inheritFromLocaleId: '<string>',
intentTranslationSettings: {from: '<string>', to: '<string>'}
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/addlocalization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/addlocalization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'localeId' => '<string>',
'inheritFromLocaleId' => '<string>',
'intentTranslationSettings' => [
'from' => '<string>',
'to' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/addlocalization"
payload := strings.NewReader("{\n \"localeId\": \"<string>\",\n \"inheritFromLocaleId\": \"<string>\",\n \"intentTranslationSettings\": {\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 400: Bad Request
- 401: Unauthorized
- 403: Forbidden
- 404: Not Found
- 500: Internal Server Error
Response Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- API Key must be included in the HTTP header.
Headers
- Accept: Specifies the media type that the client expects in the response. Options:
application/json,application/xml, etc.
Path Parameters
- flowId: Required string length:
24, Pattern:^[a-z0-9]{24}$ - intentId: Required string length:
24, Pattern:^[a-z0-9]{24}$
Body
- localeId: Required string length:
24, Pattern:^[a-z0-9]{24}$ - inheritFromLocaleId: Required string length:
24, Pattern:^[a-z0-9]{24}$ - intentTranslationSettings: Object containing translation details.
Response
- 200: Successfully added localization for the intent.